| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.AdvancedPlatformHttpEndpointBuilder.basic() |
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder.bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder.bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder.consumes(String consumes)
The content type this endpoint accepts as an input, such as
application/xml or application/json.
|
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder.httpMethodRestrict(String httpMethodRestrict)
A comma separated list of HTTP methods to serve, e.g.
|
static PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.platformHttp(String path)
Platform HTTP (camel-platform-http)
HTTP service leveraging existing runtime platform HTTP server
Category: http
Since: 3.0
Maven coordinates: org.apache.camel:camel-platform-http
Syntax:
platform-http:path
Path parameter: path (required)
The path under which this endpoint serves the HTTP requests |
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpBuilders.platformHttp(String path)
Platform HTTP (camel-platform-http)
HTTP service leveraging existing runtime platform HTTP server
Category: http
Since: 3.0
Maven coordinates: org.apache.camel:camel-platform-http
Syntax:
platform-http:path
Path parameter: path (required)
The path under which this endpoint serves the HTTP requests |
default PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder |
PlatformHttpEndpointBuilderFactory.PlatformHttpEndpointBuilder.produces(String produces)
The content type this endpoint produces, such as application/xml or
application/json.
|
Apache Camel